Package org.springframework.dao

# Class EmptyResultDataAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.DataRetrievalFailureException
org.springframework.dao.IncorrectResultSizeDataAccessException
org.springframework.dao.EmptyResultDataAccessException

All Implemented Interfaces:
  `Serializable`

public class EmptyResultDataAccessException extends IncorrectResultSizeDataAccessException
Data access exception thrown when a result was expected to have at least one row (or element) but zero rows (or elements) were actually returned.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `IncorrectResultSizeDataAccessException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EmptyResultDataAccessException(int expectedSize)`
Constructor for EmptyResultDataAccessException.
`EmptyResultDataAccessException(String msg, int expectedSize)`
Constructor for EmptyResultDataAccessException.
`EmptyResultDataAccessException(String msg, int expectedSize, Throwable ex)`
Constructor for EmptyResultDataAccessException.

## Method Summary

### Methods inherited from class org.springframework.dao.IncorrectResultSizeDataAccessException

`getActualSize, getExpectedSize`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EmptyResultDataAccessException

public EmptyResultDataAccessException(int expectedSize)
Constructor for EmptyResultDataAccessException.

Parameters:
  `expectedSize` - the expected result size

### EmptyResultDataAccessException

public EmptyResultDataAccessException(@Nullable String msg, int expectedSize)
Constructor for EmptyResultDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size

### EmptyResultDataAccessException

public EmptyResultDataAccessException(@Nullable String msg, int expectedSize, Throwable ex)
Constructor for EmptyResultDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedSize` - the expected result size
  `ex` - the wrapped exception